/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf)) => dmat3x2(np.float64(-0.46)lf, np.float64(1.94)lf, np.float64(-0.45)lf, np.float64(-0.75)lf, np.float64(1.03)lf, np.float64(-0.5)lf)
 * transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf)) => dmat3x2(np.float64(1.38)lf, np.float64(-1.08)lf, np.float64(-1.27)lf, np.float64(1.83)lf, np.float64(1.0)lf, np.float64(-0.74)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec2(np.float64(-0.46)lf, np.float64(1.94)lf)) * distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[0], dvec2(np.float64(-0.46)lf, np.float64(1.94)lf))) + (distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec2(np.float64(-0.45)lf, np.float64(-0.75)lf)) * distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[1], dvec2(np.float64(-0.45)lf, np.float64(-0.75)lf))) + (distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[2], dvec2(np.float64(1.03)lf, np.float64(-0.5)lf)) * distance(transpose(dmat2x3(np.float64(-0.46)lf, np.float64(-0.45)lf, np.float64(1.03)lf, np.float64(1.94)lf, np.float64(-0.75)lf, np.float64(-0.5)lf))[2], dvec2(np.float64(1.03)lf, np.float64(-0.5)lf))) <= np.float64(6.051100000000002e-10)lf ? 1 : -1] array0;
  double[(distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec2(np.float64(1.38)lf, np.float64(-1.08)lf)) * distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[0], dvec2(np.float64(1.38)lf, np.float64(-1.08)lf))) + (distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec2(np.float64(-1.27)lf, np.float64(1.83)lf)) * distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[1], dvec2(np.float64(-1.27)lf, np.float64(1.83)lf))) + (distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[2], dvec2(np.float64(1.0)lf, np.float64(-0.74)lf)) * distance(transpose(dmat2x3(np.float64(1.38)lf, np.float64(-1.27)lf, np.float64(1.0)lf, np.float64(-1.08)lf, np.float64(1.83)lf, np.float64(-0.74)lf))[2], dvec2(np.float64(1.0)lf, np.float64(-0.74)lf))) <= np.float64(9.5802e-10)lf ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
