/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * degrees(vec2(np.float32(-3.1415927), np.float32(-1.0471976))) => vec2(np.float32(-180.0), np.float32(-60.0))
 * degrees(vec2(np.float32(1.0471976), np.float32(3.1415927))) => vec2(np.float32(60.0), np.float32(180.0))
 */
#version 120

void main()
{
  float[distance(degrees(vec2(np.float32(-3.1415927), np.float32(-1.0471976))), vec2(np.float32(-180.0), np.float32(-60.0))) <= np.float32(0.0018973667) ? 1 : -1] array0;
  float[distance(degrees(vec2(np.float32(1.0471976), np.float32(3.1415927))), vec2(np.float32(60.0), np.float32(180.0))) <= np.float32(0.0018973667) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
