/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * floor(vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))) => vec3(np.float32(-2.0), np.float32(-1.0), np.float32(0.0))
 * floor(vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))) => vec3(np.float32(2.0), np.float32(-2.0), np.float32(-1.0))
 */
#version 120

void main()
{
  float[distance(floor(vec3(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667))), vec3(np.float32(-2.0), np.float32(-1.0), np.float32(0.0))) <= np.float32(2.236068e-05) ? 1 : -1] array0;
  float[distance(floor(vec3(np.float32(2.0), np.float32(-2.0), np.float32(-0.6666667))), vec3(np.float32(2.0), np.float32(-2.0), np.float32(-1.0))) <= np.float32(3e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
