/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (+ mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))
 * (+ mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))
 */
#version 120

void main()
{
  float[pow(distance((+ mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(1.6), np.float32(1.53))), 2) + pow(distance((+ mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.76), np.float32(-1.0))), 2) <= np.float32(6.4784994e-10) ? 1 : -1] array0;
  float[pow(distance((+ mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.13), np.float32(-1.4))), 2) + pow(distance((+ mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.87), np.float32(1.4))), 2) <= np.float32(4.6938e-10) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
