/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * cosh(vec2(np.float32(-2.0), np.float32(-0.6666667))) => vec2(np.float32(3.7621956), np.float32(1.2305756))
 * cosh(vec2(np.float32(0.6666667), np.float32(2.0))) => vec2(np.float32(1.2305756), np.float32(3.7621956))
 */
#version 130

void main()
{
  float[distance(cosh(vec2(np.float32(-2.0), np.float32(-0.6666667))), vec2(np.float32(3.7621956), np.float32(1.2305756))) <= np.float32(0.003958337) ? 1 : -1] array0;
  float[distance(cosh(vec2(np.float32(0.6666667), np.float32(2.0))), vec2(np.float32(1.2305756), np.float32(3.7621956))) <= np.float32(0.003958337) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
